com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option

- java.lang.Object
- - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option

- Enclosing class:
    STUHFL_T_ST25RU3993_Gen2_InventoryCfg

      public class STUHFL_T_ST25RU3993_Gen2_InventoryCfg.Option
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `autoAck` < I Param: Fast Inventory enabling.
    `boolean` | `fast`
    `boolean` | `readTID` < I Param: Automatic Ack enabling.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Option(boolean fast, boolean autoAck, boolean readTID)` < I Param: read TID enabling.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fast

          public boolean fast

    - #### autoAck

          public boolean autoAck

      < I Param: Fast Inventory enabling. If set to 0 normal inventory round will be performed, if set to 1 fast inventory rounds will be performed.

    - #### readTID

          public boolean readTID

      < I Param: Automatic Ack enabling. If set to 0 inventory round commands will be triggered by the FW, otherwise the autoACK feature of the reader will be used which sends the required Gen2 commands automatically.

  - ### Constructor Detail

    - #### Option

          public Option(boolean fast,
                        boolean autoAck,
                        boolean readTID)

      < I Param: read TID enabling. If set to 1 an read of the TID will be performed in inventory rounds.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`